<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SpeechEncoder/OpusEncoderContext/src/OpusEncoderContext.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_6b07903b29b547047bfa8a8b819c80bf.html">SpeechEncoder</a></li><li class="navelem"><a class="el" href="dir_9380053b18258191a72e7d4db96903c7.html">OpusEncoderContext</a></li><li class="navelem"><a class="el" href="dir_da2b57edd99c1329aac671cd6139532d.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">OpusEncoderContext.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;climits&gt;</code><br />
<code>#include &lt;opus/opus.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_endian_8h_source.html">AVSCommon/Utils/Endian.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_opus_encoder_context_8h_source.html">SpeechEncoder/OpusEncoderContext.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for OpusEncoderContext.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_opus_encoder_context_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_speech_encoder_2_opus_encoder_context_2src_2_opus_encoder_context_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_speech_encoder_2_opus_encoder_context_2src_2_opus_encoder_context_8cpp" id="_2workplace_2avs-device-sdk_2_speech_encoder_2_opus_encoder_context_2src_2_opus_encoder_context_8cpp">
<area shape="rect" id="node5" href="_endian_8h.html" title="AVSCommon/Utils/Endian.h" alt="" coords="317,112,504,137"/>
<area shape="rect" id="node7" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="612,105,788,144"/>
<area shape="rect" id="node26" href="_opus_encoder_context_8h.html" title="SpeechEncoder/OpusEncoder\lContext.h" alt="" coords="1538,105,1740,144"/>
<area shape="rect" id="node13" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="348,192,562,231"/>
<area shape="rect" id="node18" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="748,279,924,317"/>
<area shape="rect" id="node19" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1044,192,1220,231"/>
<area shape="rect" id="node24" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="738,192,935,231"/>
<area shape="rect" id="node25" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="1426,365,1602,404"/>
<area shape="rect" id="node20" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="999,279,1175,317"/>
<area shape="rect" id="node22" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="543,365,719,404"/>
<area shape="rect" id="node27" href="_encoder_context_8h.html" title="SpeechEncoder/EncoderContext.h" alt="" coords="1526,199,1752,224"/>
<area shape="rect" id="node28" href="_audio_format_8h.html" title="AVSCommon/Utils/AudioFormat.h" alt="" coords="1292,285,1514,311"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1speechencoder"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html">alexaClientSDK::speechencoder</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_opus_encoder_context_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab90fb5b1fcd3764d04f5080239d89aba"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ab90fb5b1fcd3764d04f5080239d89aba">alexaClientSDK::speechencoder::TAG</a> (&quot;OpusEncoderContext&quot;)</td></tr>
<tr class="memdesc:ab90fb5b1fcd3764d04f5080239d89aba"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#ab90fb5b1fcd3764d04f5080239d89aba">More...</a><br /></td></tr>
<tr class="separator:ab90fb5b1fcd3764d04f5080239d89aba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3c41647bdfb5b5e8c6b1e6661e82b50"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ad3c41647bdfb5b5e8c6b1e6661e82b50">alexaClientSDK::speechencoder::Reverse16</a> (uint16_t value)</td></tr>
<tr class="separator:ad3c41647bdfb5b5e8c6b1e6661e82b50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a8c6d2d8814b551588a107767f1853e7d"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a8c6d2d8814b551588a107767f1853e7d">alexaClientSDK::speechencoder::AVS_FORMAT</a> [] = &quot;OPUS&quot;</td></tr>
<tr class="memdesc:a8c6d2d8814b551588a107767f1853e7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS OPUS format name.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#a8c6d2d8814b551588a107767f1853e7d">More...</a><br /></td></tr>
<tr class="separator:a8c6d2d8814b551588a107767f1853e7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42c35c6e4fc3220d068dfbfffeacba1f"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a42c35c6e4fc3220d068dfbfffeacba1f">alexaClientSDK::speechencoder::SAMPLE_RATE</a> = 16000</td></tr>
<tr class="memdesc:a42c35c6e4fc3220d068dfbfffeacba1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Audio sample rate: 16kHz.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#a42c35c6e4fc3220d068dfbfffeacba1f">More...</a><br /></td></tr>
<tr class="separator:a42c35c6e4fc3220d068dfbfffeacba1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a998ff4d9100adae9136a5605cb9f0e09"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a998ff4d9100adae9136a5605cb9f0e09">alexaClientSDK::speechencoder::BIT_RATE</a> = 32000</td></tr>
<tr class="memdesc:a998ff4d9100adae9136a5605cb9f0e09"><td class="mdescLeft">&#160;</td><td class="mdescRight">OPUS bitrate: 32kbps CBR.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#a998ff4d9100adae9136a5605cb9f0e09">More...</a><br /></td></tr>
<tr class="separator:a998ff4d9100adae9136a5605cb9f0e09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9ba25b83ad115d04d4c8bd91479ee9f"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ae9ba25b83ad115d04d4c8bd91479ee9f">alexaClientSDK::speechencoder::FRAME_LENGTH</a> = 20</td></tr>
<tr class="memdesc:ae9ba25b83ad115d04d4c8bd91479ee9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">OPUS frame length: 20ms.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#ae9ba25b83ad115d04d4c8bd91479ee9f">More...</a><br /></td></tr>
<tr class="separator:ae9ba25b83ad115d04d4c8bd91479ee9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee722a0bdc5db5592bf73348339e0c47"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#aee722a0bdc5db5592bf73348339e0c47">alexaClientSDK::speechencoder::FRAME_SIZE</a> = (SAMPLE_RATE / 1000) * FRAME_LENGTH</td></tr>
<tr class="memdesc:aee722a0bdc5db5592bf73348339e0c47"><td class="mdescLeft">&#160;</td><td class="mdescRight">PCM frame size.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#aee722a0bdc5db5592bf73348339e0c47">More...</a><br /></td></tr>
<tr class="separator:aee722a0bdc5db5592bf73348339e0c47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e3d10d5315d6748b4d35bc68dfc7cfe"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a5e3d10d5315d6748b4d35bc68dfc7cfe">alexaClientSDK::speechencoder::PACKET_SIZE</a> = ((BIT_RATE / CHAR_BIT) / 1000) * FRAME_LENGTH</td></tr>
<tr class="memdesc:a5e3d10d5315d6748b4d35bc68dfc7cfe"><td class="mdescLeft">&#160;</td><td class="mdescRight">OPUS packet size (CBR)  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#a5e3d10d5315d6748b4d35bc68dfc7cfe">More...</a><br /></td></tr>
<tr class="separator:a5e3d10d5315d6748b4d35bc68dfc7cfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a704cbaa04bcbb26c454ff2b5443d25b7"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a704cbaa04bcbb26c454ff2b5443d25b7">alexaClientSDK::speechencoder::MAX_PACKET_SIZE</a> = PACKET_SIZE * 2</td></tr>
<tr class="memdesc:a704cbaa04bcbb26c454ff2b5443d25b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum packet size.  <a href="namespacealexa_client_s_d_k_1_1speechencoder.html#a704cbaa04bcbb26c454ff2b5443d25b7">More...</a><br /></td></tr>
<tr class="separator:a704cbaa04bcbb26c454ff2b5443d25b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
